Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79562 - remotely-exploitable vulnerability
Summary: remotely-exploitable vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: fetchmail
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-13 12:38 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-20 10:22:06 UTC


Attachments (Terms of Use)
fix (deleted)
2002-12-13 12:38 UTC, Mark J. Cox
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:294 normal SHIPPED_LIVE Critical: fetchmail security update 2003-02-07 05:00:00 UTC

Description Mark J. Cox 2002-12-13 12:38:00 UTC
A bug has been found in the header parsing code in versions of Fetchmail prior
to 6.2.0.

The bug allows a remote attacker to crash Fetchmail and potentially execute
arbitrary code by sending a carefully crafted email which is parsed by
Fetchmail.

http://security.e-matters.de/advisories/052002.html

Comment 1 Mark J. Cox 2002-12-13 12:38:48 UTC
Created attachment 88688 [details]
fix


Note You need to log in before you can comment on or make changes to this bug.